## twinkle 1.4.2

=== src/gui/Makefile ===
#############################################################################
# Makefile for building: twinkle
# Generated by qmake (1.07a) (Qt 3.3.7) on: Wed Feb 25 21:17:04 2009
# Project:  twinkle.pro
# Template: app
# Command: $(QMAKE) -o Makefile twinkle.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = yacc
CFLAGS   = -pipe -march=i586 -mtune=i686 -fmessage-length=0 -D_FORTIFY_SOURCE=2 -O2 -fno-strict-aliasing -Wall -W -march=i586 -mtune=i686 -fmessage-length=0 -D_FORTIFY_SOURCE=2 -O2 -fno-strict-aliasing -D_REENTRANT  -DQT_NO_STL -DQT_NO_DEBUG -DQT_THREAD_SUPPORT -DQT_SHARED
CXXFLAGS = -pipe -march=i586 -mtune=i686 -fmessage-length=0 -D_FORTIFY_SOURCE=2 -O2 -fno-strict-aliasing -Wall -W -march=i586 -mtune=i686 -fmessage-length=0 -D_FORTIFY_SOURCE=2 -O2 -fno-strict-aliasing -D_REENTRANT  -DQT_NO_STL -DQT_NO_DEBUG -DQT_THREAD_SUPPORT -DQT_SHARED
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I/usr/lib/qt3/mkspecs/default -I. -I.. -I../../src -I/usr/local/include -I/usr/include/libxml2 -I/opt/kde3/include -I/usr/include -I$(QTDIR)/include -I.ui/ -I. -I.moc/
LINK     = g++
LFLAGS   = 
LIBS     = -L/opt/kde3/lib $(SUBLIBS) -L/usr/lib/ -L$(QTDIR)/lib/ -L/usr/X11R6/lib/ ../libtwinkle.a ../parser/libsipparser.a ../sdp/libsdpparser.a ../sockets/libsocket.a ../threads/libthread.a ../audio/libaudio.a ../audits/libaudits.a ../stun/libstun.a ../mwi/libmwi.a ../im/libim.a ../patterns/libpatterns.a ../presence/libpresence.a ../utils/libutils.a -lsndfile -lmagic -lncurses -lreadline -L/usr/local/lib -lccext2 -pthread -lccrtp1 -lccgnu2 -ldl -lrt -lxml2 -lz -L/opt/kde3/lib -lkdecore -lkdeui -L/lib -lkabc -lresolv ../audio/gsm/libgsm.a -lasound -lspeex -lspeexdsp -lilbc -lzrtpcpp -lboost_regex -lqt-mt -lXext -lX11 -lm -lpthread
AR       = ar cqs
RANLIB   = 
MOC      = $(QTDIR)/bin/moc
UIC      = $(QTDIR)/bin/uic
QMAKE    = qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY)
COPY_DIR = $(COPY) -r
INSTALL_FILE= $(COPY_FILE)
INSTALL_DIR = $(COPY_DIR)
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p

####### Output directory

OBJECTS_DIR = .obj/

####### Files

HEADERS = gui.h \
		historylistview.h \
		freedesksystray.h \
		twinklesystray.h \
		address_finder.h \
		qt_translator.h \
		core_strings.h \
		addresslistviewitem.h \
		yesnodialog.h \
		command_args.h \
		messageformview.h \
		buddylistview.h \
		textbrowsernoautolink.h \
		twinkleapplication.h
SOURCES = main.cpp \
		gui.cpp \
		historylistview.cpp \
		freedesksystray.cpp \
		twinklesystray.cpp \
		address_finder.cpp \
		addresslistviewitem.cpp \
		yesnodialog.cpp \
		messageformview.cpp \
		buddylistview.cpp \
		twinkleapplication.cpp
OBJECTS = .obj/main.o \
		.obj/gui.o \
		.obj/historylistview.o \
		.obj/freedesksystray.o \
		.obj/twinklesystray.o \
		.obj/address_finder.o \
		.obj/addresslistviewitem.o \
		.obj/yesnodialog.o \
		.obj/messageformview.o \
		.obj/buddylistview.o \
		.obj/twinkleapplication.o \
		.obj/mphoneform.o \
		.obj/inviteform.o \
		.obj/deregisterform.o \
		.obj/redirectform.o \
		.obj/termcapform.o \
		.obj/dtmfform.o \
		.obj/selectnicform.o \
		.obj/srvredirectform.o \
		.obj/authenticationform.o \
		.obj/userprofileform.o \
		.obj/selectprofileform.o \
		.obj/getprofilenameform.o \
		.obj/transferform.o \
		.obj/syssettingsform.o \
		.obj/logviewform.o \
		.obj/wizardform.o \
		.obj/getaddressform.o \
		.obj/historyform.o \
		.obj/selectuserform.o \
		.obj/numberconversionform.o \
		.obj/addresscardform.o \
		.obj/messageform.o \
		.obj/buddyform.o \
		.obj/sendfileform.o \
		.obj/diamondcardprofileform.o \
		.obj/qmake_image_collection.o
FORMS = mphoneform.ui \
		inviteform.ui \
		deregisterform.ui \
		redirectform.ui \
		termcapform.ui \
		dtmfform.ui \
		selectnicform.ui \
		srvredirectform.ui \
		authenticationform.ui \
		userprofileform.ui \
		selectprofileform.ui \
		getprofilenameform.ui \
		transferform.ui \
		syssettingsform.ui \
		logviewform.ui \
		wizardform.ui \
		getaddressform.ui \
		historyform.ui \
		selectuserform.ui \
		numberconversionform.ui \
		addresscardform.ui \
		messageform.ui \
		buddyform.ui \
		sendfileform.ui \
		diamondcardprofileform.ui
UICDECLS = .ui/mphoneform.h \
		.ui/inviteform.h \
		.ui/deregisterform.h \
		.ui/redirectform.h \
		.ui/termcapform.h \
		.ui/dtmfform.h \
		.ui/selectnicform.h \
		.ui/srvredirectform.h \
		.ui/authenticationform.h \
		.ui/userprofileform.h \
		.ui/selectprofileform.h \
		.ui/getprofilenameform.h \
		.ui/transferform.h \
		.ui/syssettingsform.h \
		.ui/logviewform.h \
		.ui/wizardform.h \
		.ui/getaddressform.h \
		.ui/historyform.h \
		.ui/selectuserform.h \
		.ui/numberconversionform.h \
		.ui/addresscardform.h \
		.ui/messageform.h \
		.ui/buddyform.h \
		.ui/sendfileform.h \
		.ui/diamondcardprofileform.h
UICIMPLS = .ui/mphoneform.cpp \
		.ui/inviteform.cpp \
		.ui/deregisterform.cpp \
		.ui/redirectform.cpp \
		.ui/termcapform.cpp \
		.ui/dtmfform.cpp \
		.ui/selectnicform.cpp \
		.ui/srvredirectform.cpp \
		.ui/authenticationform.cpp \
		.ui/userprofileform.cpp \
		.ui/selectprofileform.cpp \
		.ui/getprofilenameform.cpp \
		.ui/transferform.cpp \
		.ui/syssettingsform.cpp \
		.ui/logviewform.cpp \
		.ui/wizardform.cpp \
		.ui/getaddressform.cpp \
		.ui/historyform.cpp \
		.ui/selectuserform.cpp \
		.ui/numberconversionform.cpp \
		.ui/addresscardform.cpp \
		.ui/messageform.cpp \
		.ui/buddyform.cpp \
		.ui/sendfileform.cpp \
		.ui/diamondcardprofileform.cpp
SRCMOC   = .moc/moc_gui.cpp \
		.moc/moc_freedesksystray.cpp \
		.moc/moc_address_finder.cpp \
		.moc/moc_yesnodialog.cpp \
		.moc/moc_textbrowsernoautolink.cpp \
		.moc/moc_mphoneform.cpp \
		.moc/moc_inviteform.cpp \
		.moc/moc_deregisterform.cpp \
		.moc/moc_redirectform.cpp \
		.moc/moc_termcapform.cpp \
		.moc/moc_dtmfform.cpp \
		.moc/moc_selectnicform.cpp \
		.moc/moc_srvredirectform.cpp \
		.moc/moc_authenticationform.cpp \
		.moc/moc_userprofileform.cpp \
		.moc/moc_selectprofileform.cpp \
		.moc/moc_getprofilenameform.cpp \
		.moc/moc_transferform.cpp \
		.moc/moc_syssettingsform.cpp \
		.moc/moc_logviewform.cpp \
		.moc/moc_wizardform.cpp \
		.moc/moc_getaddressform.cpp \
		.moc/moc_historyform.cpp \
		.moc/moc_selectuserform.cpp \
		.moc/moc_numberconversionform.cpp \
		.moc/moc_addresscardform.cpp \
		.moc/moc_messageform.cpp \
		.moc/moc_buddyform.cpp \
		.moc/moc_sendfileform.cpp \
		.moc/moc_diamondcardprofileform.cpp
OBJMOC = .obj/moc_gui.o \
		.obj/moc_freedesksystray.o \
		.obj/moc_address_finder.o \
		.obj/moc_yesnodialog.o \
		.obj/moc_textbrowsernoautolink.o \
		.obj/moc_mphoneform.o \
		.obj/moc_inviteform.o \
		.obj/moc_deregisterform.o \
		.obj/moc_redirectform.o \
		.obj/moc_termcapform.o \
		.obj/moc_dtmfform.o \
		.obj/moc_selectnicform.o \
		.obj/moc_srvredirectform.o \
		.obj/moc_authenticationform.o \
		.obj/moc_userprofileform.o \
		.obj/moc_selectprofileform.o \
		.obj/moc_getprofilenameform.o \
		.obj/moc_transferform.o \
		.obj/moc_syssettingsform.o \
		.obj/moc_logviewform.o \
		.obj/moc_wizardform.o \
		.obj/moc_getaddressform.o \
		.obj/moc_historyform.o \
		.obj/moc_selectuserform.o \
		.obj/moc_numberconversionform.o \
		.obj/moc_addresscardform.o \
		.obj/moc_messageform.o \
		.obj/moc_buddyform.o \
		.obj/moc_sendfileform.o \
		.obj/moc_diamondcardprofileform.o
DIST	   = ../../qtccxxincl.pro \
		twinkle.pro
QMAKE_TARGET = twinkle
DESTDIR  = 
TARGET   = twinkle

first: all
####### Implicit rules

.SUFFIXES: .c .o .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(UICDECLS) $(OBJECTS) $(OBJMOC)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(OBJCOMP) $(LIBS)

mocables: $(SRCMOC)
uicables: $(UICDECLS) $(UICIMPLS)

$(MOC): 
	( cd $(QTDIR)/src/moc && $(MAKE) )

Makefile: twinkle.pro  /usr/lib/qt3/mkspecs/default/qmake.conf ../../qtccxxincl.pro \
		/usr/lib/qt3/lib/libqt-mt.prl
	$(QMAKE) -o Makefile twinkle.pro
qmake: 
	@$(QMAKE) -o Makefile twinkle.pro

dist:
