=== debian/changelog ===
twinkle (1:1.4.2-4) unstable; urgency=medium

  * Tweak for automake 1.14.  closes: #733611.
  * Bump to Standards-Version 3.9.5.

 -- Clint Adams <clint@debian.org>  Sun, 26 Jan 2014 18:37:34 -0500

twinkle (1:1.4.2-3) unstable; urgency=low

  * Reintroduce to Debian.
  * Patch to build CLI client instead of Qt3 GUI.

 -- Clint Adams <clint@debian.org>  Thu, 25 Jul 2013 12:55:03 -0400

twinkle (1:1.4.2-2) unstable; urgency=low

  * Drop depreciated KDE3 support: configure --without-kde
    - Assist with Debian KDE4 transition
    - Fix "Add a light version compiled without kde" (Closes: #367258)
  * Fix "FTBFS: seems to fail when building with libzrtpcpp-dev 1.3.0-1"
    Updated Build-Depends: (Closes: #519347)
  * DEB_AUTO_UPDATE_AUTOCONF regenerate configure (pickup boost_regex-mt.patch)
  * Relax Build-Depends: ccrtp >= 1.7.0
  * debian/compat -> 7
  * Update Standards 3.8.1 - no changes

 -- Mark Purcell <msp@debian.org>  Sat, 16 May 2009 11:33:53 +1000

twinkle (1:1.4.2-1) unstable; urgency=low

  * New upstream release
    - libcommoncpp2 transition

 -- Mark Purcell <msp@debian.org>  Thu, 26 Feb 2009 18:35:47 +1100

twinkle (1:1.4-2) experimental; urgency=low

  * Fix "twinkle_1:1.4-1(sparc/experimental): FTBFS: error:
    readline/readline.h: No such file or directory" 
    - Add Build-Depends: libreadline-dev & libspeexdsp-dev (Closes: #513135)
  * Update Description: to match upstream

 -- Mark Purcell <msp@debian.org>  Tue, 27 Jan 2009 17:30:42 +1100

twinkle (1:1.4-1) experimental; urgency=low

  * New upstream release
  * Add Build-Depends: ccrtp >= 1.7.0

 -- Mark Purcell <msp@debian.org>  Mon, 26 Jan 2009 21:47:00 +1100

twinkle (1:1.3.2-1) experimental; urgency=low

  * New upstream release
  * Add Build-Depends: libmagic-dev
  * Patches included upstream; gcc4.3.patch z99-configure-boost.patch
  * Distribution experimental while we await lenny

 -- Mark Purcell <msp@debian.org>  Fri, 17 Oct 2008 12:19:21 +1100

twinkle (1:1.2-3) unstable; urgency=low

  [ Patrick Matthäi ]
  * Bump Standards-Version to 3.8.0.
  * Converted menu images to xpm and use them at twinkle.menu.
    Thanks lintian.

  [ Mark Purcell ]
  * Update debian.install: twinkle.desktop & sip.protocol
  * Update twinkle.desktop fixes
    - linitan:desktop-entry-contains-encoding-key
  * Add bug/presubj directing users to upstream user group
  * Add debian/twinkle.manpages
  * Update debian/menu - menu-icon-too-big. Icons in the Debian menu
    system should be at most 32x32

 -- Mark Purcell <msp@debian.org>  Sat, 11 Oct 2008 10:05:06 +1100

twinkle (1:1.2-2) unstable; urgency=low

  * Provide gcc4.3.patch to fix build issues
    - FTBFS: twinkle_zrtp_ui.h:47: error: 'MessageSeverity' has not been
    declared (Closes: #479874)
  * Fixup menu entry. Thks Rodrigo Campos
    - switch to new debian menu policy (Closes: #475424)
  * Update debian/twinkle.1 manpage for 1.2 version

 -- Mark Purcell <msp@debian.org>  Sat, 31 May 2008 12:38:57 +1000

twinkle (1:1.2-1) unstable; urgency=low

  [ Kilian Krause ]
  * Fix menu entry Apps -> Applications
  * Add Homepage field as added in dpkg-dev 1.14.6.

  [ Mikael Magnusson ]
  * New upstream release (Closes: #465187)
  * Add myself to Uploaders.
  * Update debian/control package Description.
  * Update patches/libgsm.patch. (Partly merged by upstream.)
  * Rename patches/configure-boost.patch to
    patches/z99-configure-boost.patch (fixes patch order), and update.

 -- Mikael Magnusson <mikma@users.sourceforge.net>  Sat, 15 Mar 2008 18:43:10 +0100

twinkle (1:1.1-2) unstable; urgency=low

  * Remove obsolete Build-Depends: kdelibs-bin
  * Rebuild for libboost transition

 -- Mark Purcell <msp@debian.org>  Thu, 16 Aug 2007 18:12:05 +0100

twinkle (1:1.1-1) unstable; urgency=low

  * New upstream release
  * Rework debian/patches/libgsm.patch
  * Rework debian/patches/configure-boost.patch  to correctly detect
    -lboost_regex-mt...

 -- Mark Purcell <msp@debian.org>  Wed, 25 Jul 2007 22:50:26 +0100

twinkle (1:1.0.1-1) unstable; urgency=low

  * New upstream release
  * debian/patches deleted as included upstream:
    - audiocheck.patch
    - conf.patch
    - incoming.patch
  * Rebuild with Depends: libzrtpcpp-0.9-0 (>= 0.9-4)
    - Crashes when making/receiving a call (Closes: #420138)

 -- Mark Purcell <msp@debian.org>  Sun, 20 May 2007 16:55:03 +0100

twinkle (1:1.0-3) unstable; urgency=low

  * Rebuild for libccrtp-dev > 1.5.1 [libccrtp soname]
    - twinkle depends on libccrtp1-1.5-0 which is not in sid (Closes:
    #418843)

 -- Mark Purcell <msp@debian.org>  Thu, 12 Apr 2007 21:43:17 +0100

twinkle (1:1.0-2) unstable; urgency=low

  * Add upstream patches; audiocheck, conf & incoming

 -- Mark Purcell <msp@debian.org>  Sat,  3 Mar 2007 13:14:15 +0000

twinkle (1:1.0-1) unstable; urgency=low

  * New upstream release
    - binNMU required (Closes: #402509)
    - Via headers containing ipv6 addresses are dropped (Closes: #398849)
  * Update debian/rules URL location
  * Delete debian/patches/extra-qualifications.patch included upstream
  * Update debian/control package Description
  * Update debian/twinkle.1 manpage for 1.0 release
  * lintian cleanup: extended-description-line-too-long

 -- Mark Purcell <msp@debian.org>  Thu, 25 Jan 2007 22:32:22 +0000

twinkle (1:1.0~beta-1) unstable; urgency=low

  * New upstream release
  * Needed for the preceeding package to get into etch
  * delete debian/patches dtmf, invite4xx and memman included upstream
  * debian/rules get-orig-source targets rewritten
  * Cleanup debian/watch
  * Add extra-qualifications.patch to fix upstream g 4.1.1 build errors

 -- Mark Purcell <msp@debian.org>  Mon,  8 Jan 2007 21:29:49 +0000

twinkle (1:0.9-6) testing-proposed-updates; urgency=medium

  * Apply upstream memman.patch to fix random twinkle crashes
    - crash on call end (Closes: #402509)
  * Loaded direct to t-p-u as discussed on debian-release

 -- Mark Purcell <msp@debian.org>  Sun,  7 Jan 2007 06:27:36 +0000


