=== debian/rules ===
#!/usr/bin/make -f

URL = http://www.xs4all.nl/~mfnboer/twinkle/download/$(DEB_SOURCE_PACKAGE)-$(DEB_UPSTREAM_VERSION).tar.gz
FILENAME = $(DEB_SOURCE_PACKAGE)_$(DEB_UPSTREAM_VERSION).orig.tar.gz

include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_CONFIGURE_EXTRA_FLAGS := --without-ilbc --without-kde
DEB_AUTO_UPDATE_AUTOCONF := yes
DEB_AUTO_UPDATE_AUTOMAKE := 1.14
DEB_AUTOMAKE_ARGS := --add-missing --copy

get-orig-source:
	@@dh_testdir
	@@[ -d ../tarballs/. ]||mkdir -p ../tarballs
	@@echo Downloading $(FILENAME) from $(URL) ...
	@@wget  -nv -T10 -t3 -O ../tarballs/$(FILENAME) $(URL)

help2man:
	help2man twinkle -N -n 'Voice over Internet Protocol (VoIP) SIP Phone' -o debian/twinkle.1
