=== debian/changelog ===
twinkle (1:1.9.0+dfsg-3ubuntu1) yakkety; urgency=medium

  * debian/patches/ucommon-7.0.patch: Grab patch from upstream Git to fix
    FTBFS with uCommon 7.0.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 05 May 2016 19:09:03 -0400

twinkle (1:1.9.0+dfsg-3) unstable; urgency=medium

  * Explicitly disable ALSA support on non-Linux architectures.
  * Set Maintainer field to Debian VoIP Team.
  * Add myself to Uploaders field.
  * Update Vcs-Git and Vcs-Browser fields.
  * Fix conflicting definition of socklen_t on GNU Hurd.

 -- Peter Colberg <peter@colberg.org>  Wed, 06 Jan 2016 08:15:17 -0500

twinkle (1:1.9.0+dfsg-2) unstable; urgency=medium

  * Disable ZRTP support to allow migration to testing.
    - libzrtpcpp links against OpenSSL in violation of the GPL (see: #797554).
  * Enable ALSA support on Linux only.
  * Fix detection of <linux/errqueue.h>.
  * Add Vcs-Git and Vcs-Browser fields.
  * Fix spelling mistakes detected by lintian.
  * Link with -Wl,--as-needed to avoid useless library dependencies.
  * Cherry-pick UI fixes from upstream git.

 -- Peter Colberg <peter@colberg.org>  Wed, 30 Dec 2015 23:38:41 -0500

twinkle (1:1.9.0+dfsg-1) unstable; urgency=medium

  [ Peter Colberg ]
  * New upstream release.
  * Repack orig tarball without embedded gsm library.
  * Update Homepage to new upstream URL.
  * Add Build-Depends:
    - bison
    - cmake
    - flex
    - linux-libc-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
    - qtdeclarative5-dev
    - qtquick1-5-dev
    - qtscript5-dev
    - qttools5-dev
    - qttools5-dev-tools
  * Drop Build-Depends:
    - autotools-dev
    - cdbs
    - dh-autoreconf
    - libboost-regex-dev
    - libncurses-dev
    - libxpm-dev
  * Update patches:
    - desktop-entry-contains-encoding-key.patch
    - libgsm.patch
  * Drop patches:
    - boost_regex-mt.patch
    - localetime_r_conflict.diff
    - newer-automake.diff
    - newer-libccrtp.diff
    - no-qt.diff
    - vsnprintf_incompatibility.diff
  * Add machine-readable copyright file.
  * Update watch file to track github releases.
  * Update debhelper compat level to 9.
  * Migrate from cdbs to dh.
  * Support parallel build.
  * Remove deprecated menu file.
  * Bump Standards-Version to 3.9.6.

  [ Clint Adams ]
  * Remove myself from Maintainer field.

 -- Clint Adams <clint@debian.org>  Tue, 29 Dec 2015 12:59:30 -0500

twinkle (1:1.4.2-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use dh-autoreconf to drop had-dependancy on obsolete
    automake. (Closes: #754046)

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Mon, 31 Aug 2015 19:43:33 +0100
