=== debian/control ===
--- 
+++ 
@@ -1,21 +1,38 @@
 Source: twinkle
 Section: comm
 Priority: optional
-Maintainer: Clint Adams <clint@debian.org>
-Build-Depends: debhelper (>= 7), cdbs, help2man,
- autotools-dev, autoconf, automake,
- libcommoncpp2-dev (>= 1.4.2), libccrtp-dev, libzrtpcpp-dev (>= 1.4.0),
- libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
- libgsm1-dev, libsndfile1-dev, libspeex-dev, libspeexdsp-dev,
- libreadline-dev,
- libboost-regex-dev, libxml2-dev, libxpm-dev, libmagic-dev
- , libncurses-dev
-Standards-Version: 3.9.5
-Homepage: http://www.twinklephone.com/
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Uploaders: Peter Colberg <peter@colberg.org>
+Build-Depends: bison,
+               cmake,
+               debhelper (>= 9),
+               flex,
+               help2man,
+               libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
+               libccrtp-dev,
+               libcommoncpp2-dev (>= 1.4.2),
+               libgsm1-dev,
+               libmagic-dev,
+               libreadline-dev,
+               libsndfile1-dev,
+               libspeex-dev,
+               libspeexdsp-dev,
+               libxml2-dev,
+               linux-libc-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
+               qtdeclarative5-dev,
+               qtquick1-5-dev,
+               qtscript5-dev,
+               qttools5-dev,
+               qttools5-dev-tools
+Standards-Version: 3.9.6
+Homepage: http://twinkle.dolezel.info/
+Vcs-Git: https://anonscm.debian.org/git/pkg-voip/twinkle.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-voip/twinkle.git
 
 Package: twinkle
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Voice over Internet Protocol (VoIP) SIP Phone
  Soft-phone for making telephone calls using SIP over an IP network.
  .
@@ -87,7 +104,7 @@
   G.726 (16, 24, 32 or 40 kbps payload, 8 kHz sampling rate)
  .
  For all codecs the following preprocessing options are available to improve
- quality at the far end of a call. 
+ quality at the far end of a call.
   Automatic gain control (AGC) (new)
   Noise reduction (new)
   Voice activity detection (VAD) (new)
