=== debian/rules ===
#!/usr/bin/make -f

# Disable ZRTP support for now (see: #797554)
CONFIGURE_FLAGS = -DWITH_QT5=ON -DWITH_ZRTP=OFF -DWITH_SPEEX=ON -DWITH_GSM=ON

# Enable ALSA support on Linux only
ifeq (,$(filter $(DEB_HOST_ARCH),kfreebsd-amd64 kfreebsd-i386 hurd-i386))
CONFIGURE_FLAGS += -DWITH_ALSA=ON
else
CONFIGURE_FLAGS += -DWITH_ALSA=OFF
endif

# Avoid useless library dependencies
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --parallel

override_dh_clean:
	rm -f debian/twinkle.1
	dh_clean

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_FLAGS)

override_dh_installman:
	help2man debian/twinkle/usr/bin/twinkle -N -n 'Voice over Internet Protocol (VoIP) SIP Phone' -o debian/twinkle.1
	dh_installman

override_dh_installchangelogs:
	dh_installchangelogs NEWS

get-orig-source:
	uscan --noconf --verbose --rename --repack --compression xz --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-current-version
