=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: twinkle
 Section: comm
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Peter Colberg <peter@colberg.org>
 Build-Depends: bison,
                cmake,
@@ -21,11 +20,10 @@
                libxml2-dev,
                linux-libc-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
                qtdeclarative5-dev,
-               qtquick1-5-dev,
                qtscript5-dev,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://twinkle.dolezel.info/
 Vcs-Git: https://anonscm.debian.org/git/pkg-voip/twinkle.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-voip/twinkle.git
