=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,13 @@
 #!/usr/bin/make -f
+
+# Support manual invocation of debian/rules
+include /usr/share/dpkg/architecture.mk
 
 # Disable ZRTP support for now (see: #797554)
 CONFIGURE_FLAGS = -DWITH_QT5=ON -DWITH_ZRTP=OFF -DWITH_SPEEX=ON -DWITH_GSM=ON
 
 # Enable ALSA support on Linux only
-ifeq (,$(filter $(DEB_HOST_ARCH),kfreebsd-amd64 kfreebsd-i386 hurd-i386))
+ifeq ($(DEB_HOST_ARCH_OS),linux)
 CONFIGURE_FLAGS += -DWITH_ALSA=ON
 else
 CONFIGURE_FLAGS += -DWITH_ALSA=OFF
@@ -12,6 +15,8 @@
 
 # Avoid useless library dependencies
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+# Enable hardening build flags
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@ --parallel
