## twinkle 1.9.0+git20160520.0.be8b8df+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,17 +11,14 @@
 OPTION(WITH_ILBC		"Enable the iLBC codec" OFF)
 OPTION(WITH_ALSA		"Enable ALSA support" ON)
 OPTION(WITH_DIAMONDCARD	"Enable Diamondcard integration" OFF)
-OPTION(WITH_QT4			"Enable Qt 4 GUI" OFF)
-OPTION(WITH_QT5			"Enable Qt 5 GUI" OFF)
+OPTION(WITH_QT5			"Enable Qt 5 GUI" ON)
 OPTION(WITH_G729		"Enable G.729A support" OFF)
+OPTION(WITH_GSM			"Use external GSM library" OFF)
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake")
 
-if (WITH_QT4 AND WITH_QT5)
-		message(FATAL_ERROR "Qt 4 and Qt 5 cannot be enabled at the same time!")
-endif (WITH_QT4 AND WITH_QT5)
-
 include (CheckIncludeFile)
+include (CheckIncludeFiles)
 
 find_package(LibXml2 REQUIRED)
 find_package(LibMagic REQUIRED)
@@ -33,21 +30,14 @@
 find_package(Ccrtp REQUIRED)
 find_package(Ucommon REQUIRED)
 
-if (WITH_QT4)
-	find_package(Qt4 REQUIRED COMPONENTS QTGUI QTDECLARATIVE)
-	include_directories(${QT_QT3SUPPORT_INCLUDE_DIR}
-		${QT_QTCORE_INCLUDE_DIR} ${QT_QTGUI_INCLUDE_DIR}
-		${QT_QTDECLARATIVE_INCLUDE_DIR} ${QT_INCLUDE_DIR})
-
-elseif (WITH_QT5)
+if (WITH_QT5)
 	find_package(Qt5Widgets REQUIRED)
 	find_package(Qt5LinguistTools REQUIRED)
-	find_package(Qt5Declarative REQUIRED)
 	find_package(Qt5Quick REQUIRED)
-	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Qt5Widgets_EXECUTABLE_COMPILE_FLAGS} ${Qt5Declarative_EXECUTABLE_COMPILE_FLAGS}")
-	include_directories(${Qt5Widgets_INCLUDES} ${Qt5Declarative_INCLUDES})
-	add_definitions(${Qt5Widgets_DEFINITIONS} ${Qt5Declarative_DEFINITIONS})
-endif (WITH_QT4)
+	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Qt5Widgets_EXECUTABLE_COMPILE_FLAGS} ${Qt5Quick_EXECUTABLE_COMPILE_FLAGS}")
+	include_directories(${Qt5Widgets_INCLUDES} ${Qt5Quick_INCLUDES})
+	add_definitions(${Qt5Widgets_DEFINITIONS} ${Qt5Quick_DEFINITIONS})
+endif (WITH_QT5)
 
 include_directories(${LIBXML2_INCLUDE_DIR})
 
@@ -114,10 +104,22 @@
 	endif (G729_FOUND)
 endif (WITH_G729)
 
+if (WITH_GSM)
+	find_package(Gsm)
+
+	if (GSM_FOUND)
+		message(STATUS "gsm OK")
+		set(HAVE_GSM TRUE)
+
+		include_directories(${GSM_INCLUDE_DIR})
+	else (GSM_FOUND)
+		message(FATAL_ERROR "gsm not found!")
+	endif (GSM_FOUND)
+endif (WITH_GSM)
 
 check_include_file(unistd.h HAVE_UNISTD_H)
 check_include_file(linux/types.h HAVE_LINUX_TYPES_H)
-check_include_file(linux/errqueue.h HAVE_LINUX_ERRQUEUE_H)
+check_include_files("sys/socket.h;linux/errqueue.h" HAVE_LINUX_ERRQUEUE_H)
 
 set(datadir "${CMAKE_INSTALL_PREFIX}/share/twinkle")
 configure_file(twinkle_config.h.in twinkle_config.h)
@@ -141,4 +143,23 @@
 	${CMAKE_CURRENT_BINARY_DIR}/twinkle.desktop
 	DESTINATION share/applications)
 
+install(FILES src/gui/images/twinkle16.png
+	RENAME twinkle.png
+	DESTINATION share/icons/hicolor/16x16/apps)
+install(FILES src/gui/images/twinkle24.png
+	RENAME twinkle.png
+	DESTINATION share/icons/hicolor/24x24/apps)
+install(FILES src/gui/images/twinkle32.png
+	RENAME twinkle.png
+	DESTINATION share/icons/hicolor/32x32/apps)
+install(FILES src/gui/images/twinkle48.png
+	RENAME twinkle.png
+	DESTINATION share/icons/hicolor/48x48/apps)
+install(FILES data/twinkle.svg
+	DESTINATION share/icons/hicolor/scalable/apps)
+
+install(FILES data/twinkle.1
+	DESTINATION share/man/man1)
+
 add_subdirectory(src)
+
