=== debian/changelog ===
twinkle (1:1.10.0+dfsg-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Peter Colberg <peter@colberg.org>  Sat, 23 Jul 2016 00:03:12 -0400

twinkle (1:1.10.0+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Peter Colberg <peter@colberg.org>  Sat, 16 Jul 2016 00:00:18 -0400
